table.in.float
Prev | Tables | Next

## table.in.float

`table.in.float` — Use or emulate a float to display a formal table?

## Synopsis

    <xsl:param name="table.in.float" select="'1'"/>

## Description

Determines whether formal tables float. Floating tables do not necessarily appear in the output document in the location in which they appear in the DocBook input, they may move when this improves the overall document layout. Non-floating tables always appear in the rendered document in the same place as they appear in the input DocBook document.

Informal tables never float. Tables that do not float are processed using the longtable package. Unlike the methods used to process floating tables, tables processed with longtable may span page boundaries. Floating tables may not cross page boundaries and so may not be larger than a single page.

The longtable package is limited in that titles must be positioned at the top of the table. This limits the positioning of non-floating table titles to the top of the table.

When `table.in.float` is `0` formal tables do not float.

The default is `1`, formal tables float.

Prev | Up | Next
table.default.tabstyle | Home | table.title.top